//Name:		TetrisEnglish.cpp
//Author:	Brian Tietz
//Copyright 1999-2000
//Conventions:
//	Global constants (declared with const) and #defines - begin with "c_" followed by lowercase
//		words separated by underscores.
//		(E.G., #define c_my_constant 5).
//		(E.G., const int c_my_constant = 5;).
//	Global variables - begin with "g_" followed by lowercase words separated by underscores.
//		(E.G., int g_my_global;).
//	New data types (classes, structs, typedefs, etc.) - begin with an uppercase letter followed by
//		lowercase words separated by uppercase letters.  Enumerated constants contain a prefix
//		associating them with a particular enumerated set.
//		(E.G., typedef int MyTypedef;).
//		(E.G., enum MyEnumConst {c_mec_one, c_mec_two};)
//	Private member variables - begin with "m_" followed by lowercase words separated by underscores.
//		(E.G., int m_my_member;).
//	Public or friend-accessible member variables - all lowercase words separated by underscores.
//		(E.G., int public_member;).
//	Argument and local variables - begin with a lowercase letter followed by
//		lowercase words separated by underscores.  If the name is already taken by a public member
//		variable, prefix with a_ or l_
//		(E.G., int my_local; int a_my_arg, int l_my_local).
//	Functions (member or global) - begin with an uppercase letter followed by lowercase words
//		separated by uppercase letters.
//		(E.G., void MyFunction(void);).
//License:
//  Obviously, the idea for Tetris isn't mine, so I hold no copyright on the idea.  I do, however,
//  reserve all rights with regard to the source code for this BeOS version of Tetris.  The executable,
//  is freely distributable.  The source code is likewise freely distributable, provided that the
//  license and copyright are retained in these source code files and in the about box of the
//  executable.


//******************************************************************************************************
//**** System header files
//******************************************************************************************************
#include <InterfaceDefs.h>


//******************************************************************************************************
//**** Project header files
//******************************************************************************************************
#include "TetrisStrings.h"


//******************************************************************************************************
//**** Constants
//******************************************************************************************************
const char* g_init_prefs_fail_string = "Tetris was unable to initialize its preferences.";
const char* g_save_prefs_fail_string = "Tetris was unable to save its preferences.";
const char* g_tetris_string = "Tetris";
const char* g_quit_string = "Quit";
const char* g_file_string = "File";
const char* g_begin_new_game_string = "Begin New Game";
const char* g_pause_string = "Pause";
const char* g_resume_string = "Resume";
const char* g_preferences_string = "Preferences"B_UTF8_ELLIPSIS;
const char* g_about_string = "About"B_UTF8_ELLIPSIS;
const char* g_score_label = "Score:";
const char* g_lines_label = "Lines:";
const char* g_next_block_label = "Next Block:";
const char* g_game_over_string = "Game Over";
const char* g_about_title = "About Tetris";
const char* g_about_text = "Written by Brian Tietz\n\n"
	"Obviously, the idea for Tetris isn't mine, so I hold no copyright on the idea.\n"
	"I do, however, reserve all rights with regard to the source code for this BeOS\n"
	"version of Tetris.  The executable is freely distributable.  The source code is\n"
	"likewise freely distributable, provided that the license and copyright are\n"
	"retained in the source code files and in the about box of the executable.";
